import { Schema } from "mongoose";
import { pictureDB } from "../db/mongo/db_init";

const pictureSchema = new Schema({
    pId: {type:Number, index: true},
    pName: {type: String},
    path: {type: String}
});

let pictureModel;

export function initModel() {
    pictureModel = pictureDB.model('picture', pictureSchema)
}


export async function getPictureAll() {
    return await pictureModel.find({}).exec();
}

export async function insertPic(picList) {
    return await pictureModel.insertMany(picList);
}
