import { Schema } from "mongoose";
import { userDB } from "../db/mongo/db_init";

const usersSchema = new Schema({
    uId: {type:Number, index: true},    //id
    uName: {type: String},  //管理员账号
    uPwd: {type: String},   //管理员密码
    lastOperationTime: {type: Date} //最近操作时间
});

let usersModel;

export function initModel() {
    usersModel = userDB.model('users', usersSchema);
}


export async function getAdminAll() {
    return await usersModel.find({}).exec();
}