import { Schema } from "mongoose";
import { logDB } from "../../db/mongo/db_init";

const logSchema = new Schema({
    createTime: {type:Number, index: true},
    aId: {type: Number}
});

let logModel;

export function getModel() {
    logModel = logDB.model('log', logSchema);
}


export async function getLogAll() {
    return await logModel.find({}).exec();
}